package com.example.mainapplicathiongeorge31p.data.api

import android.os.Build
import androidx.annotation.RequiresExtension
import kotlinx.coroutines.flow.Flow
import kotlinx.coroutines.flow.flow
import java.io.IOException


class RepositoryImp (
    private val api: EmailApi
) : Repository {
    @RequiresExtension(extension = Build.VERSION_CODES.S, version = 7)
    override suspend fun sendCodeEmail(email: String): Flow<Result<String>> {
        return flow {
            val request = try{
                api.sendCodeEmail(email)
            }
            catch (e: IOException) {

            }
        }
    }
}